SymbolTableHandler (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.symbol
Interface SymbolTableHandler

All Superinterfaces:
  TableHandler

All Known Implementing Classes:
  TrieSymbolTableHandler

    public interface SymbolTableHandler

extends TableHandler

Method Summary
`SymbolTable` | `addSymbolTable(String tableName)`
`SymbolTable` | `addSymbolTable(String tableName, int columnCategory, String nullValueStrategy)`
`SymbolTable` | `addSymbolTable(String tableName, int columnCategory, String nullValueStrategy, String rootLabel)`
`SymbolTable` | `addSymbolTable(String tableName, SymbolTable parentTable)`
`SymbolTable` | `getSymbolTable(String tableName)`
`Set<String>` | `getSymbolTableNames()`
`void` | `load(InputStreamReader isr)`
`void` | `load(String fileName, String charSet)`
`SymbolTable` | `loadTagset(String fileName, String tableName, String charSet, int columnCategory, String nullValueStrategy)`
`SymbolTable` | `loadTagset(String fileName, String tableName, String charSet, int columnCategory, String nullValueStrategy, String rootLabel)`
`void` | `printSymbolTables(org.apache.log4j.Logger logger)`
`void` | `save(OutputStreamWriter osw)`
`void` | `save(String fileName, String charSet)`

Method Detail

### addSymbolTable

    SymbolTable addSymbolTable(String tableName)
                               throws MaltChainedException

  Specified by:
    `addSymbolTable` in interface `TableHandler`
  Throws:
    `MaltChainedException`

### addSymbolTable

    SymbolTable addSymbolTable(String tableName,
                               SymbolTable parentTable)
                               throws MaltChainedException

  Throws:
    `MaltChainedException`

### addSymbolTable

    SymbolTable addSymbolTable(String tableName,
                               int columnCategory,
                               String nullValueStrategy)
                               throws MaltChainedException

  Throws:
    `MaltChainedException`

### addSymbolTable

    SymbolTable addSymbolTable(String tableName,
                               int columnCategory,
                               String nullValueStrategy,
                               String rootLabel)
                               throws MaltChainedException

  Throws:
    `MaltChainedException`

### getSymbolTable

    SymbolTable getSymbolTable(String tableName)
                               throws MaltChainedException

  Specified by:
    `getSymbolTable` in interface `TableHandler`
  Throws:
    `MaltChainedException`

### getSymbolTableNames

    Set<String> getSymbolTableNames()

### save

    void save(OutputStreamWriter osw)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### save

    void save(String fileName,
              String charSet)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### load

    void load(InputStreamReader isr)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### load

    void load(String fileName,
              String charSet)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### printSymbolTables

    void printSymbolTables(org.apache.log4j.Logger logger)
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### loadTagset

    SymbolTable loadTagset(String fileName,
                           String tableName,
                           String charSet,
                           int columnCategory,
                           String nullValueStrategy)
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### loadTagset

    SymbolTable loadTagset(String fileName,
                           String tableName,
                           String charSet,
                           int columnCategory,
                           String nullValueStrategy,
                           String rootLabel)
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.